Bug 44777 - Kernel: Oops: 0002
Kernel: Oops: 0002
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-16 09:09 EDT by Heikki Simperi
Modified: 2007-03-26 23:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 11:53:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heikki Simperi 2001-06-16 09:09:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
While nothing specially was going on, kernel crash and internet connection 
crashed (at least).

How reproducible:
Didn't try


Additional info:

Jun 13 18:45:01 master kernel:  printing eip:
Jun 13 18:45:01 master kernel: c0145c9f
Jun 13 18:45:01 master kernel: pgd entry d3755f38: 0000000000000000
Jun 13 18:45:01 master kernel: pmd entry d3755f38: 0000000000000000
Jun 13 18:45:01 master kernel: ... pmd not present!
Jun 13 18:45:01 master kernel: Oops: 0002
Jun 13 18:45:01 master kernel: CPU:    0
Jun 13 18:45:01 master kernel: EIP:    0010:[prune_dcache+191/352]
Jun 13 18:45:01 master kernel: EIP:    0010:[<c0145c9f>]
Jun 13 18:45:01 master kernel: EFLAGS: 00010282
Comment 1 mavrin 2002-01-07 11:42:26 EST
I saw this happen also on one of my machines also.  It happened at the same 
time syslogd was rotating /var/log/messages.   Here are my log entries:

Jan  7 04:02:03 20055 syslogd 1.4-0: restart.
Jan  7 04:02:23 20055 kernel: Unable to handle kernel NULL pointer dereference 
at virtual address 00000048
Jan  7 04:02:23 20055 kernel:  printing eip:
Jan  7 04:02:23 20055 kernel: c013a1a5
Jan  7 04:02:23 20055 kernel: pgd entry c5d81000: 0000000000000000
Jan  7 04:02:23 20055 kernel: pmd entry c5d81000: 0000000000000000
Jan  7 04:02:23 20055 kernel: ... pmd not present!
Jan  7 04:02:23 20055 kernel: Oops: 0002
Jan  7 04:02:23 20055 kernel: CPU:    0
Jan  7 04:02:23 20055 kernel: EIP:    0010:[bdput+5/80]
Jan  7 04:02:23 20055 kernel: EIP:    0010:[<c013a1a5>]
Jan  7 04:02:23 20055 kernel: EFLAGS: 00010202
Jan  7 04:02:23 20055 kernel: eax: 00000040   ebx: 00000040   ecx: c23c8808   
edx: 00000000
Jan  7 04:02:23 20055 kernel: esi: c1245f84   edi: 00001cdb   ebp: c1245f98   
esp: c1245f48
Jan  7 04:02:23 20055 kernel: ds: 0018   es: 0018   ss: 0018
Jan  7 04:02:23 20055 kernel: Process kswapd (pid: 4, stackpage=c1245000)
Jan  7 04:02:23 20055 kernel: Stack: c23c8800 c014671b 00000040 c0145f80 
c122d0c0 c238f620 c238f620 c23c8800
Jan  7 04:02:23 20055 kernel:        c0146778 c23c8800 c289eba8 c289eba0 
c01469be c1245f84 000001ec c6942048
Jan  7 04:02:23 20055 kernel:        c6e7b428 00010f00 00000004 0000001f 
00000004 c0146a05 00000000 c012cba6
Jan  7 04:02:23 20055 kernel: Call Trace: [clear_inode+267/304] 
[destroy_inode+48/64] [dispose_list+56/96] [prune_icache+254/272] 
[shrink_icache_memory+53/80] [do_try_to_free_pages+102/128] [kswapd+112/272]
Jan  7 04:02:23 20055 kernel: Call Trace: [<c014671b>] [<c0145f80>] 
[<c0146778>] [<c01469be>] [<c0146a05>] [<c012cba6>] [<c012cc30>]
Jan  7 04:02:23 20055 kernel:        [empty_bad_page+0/4096] 
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/272]
Jan  7 04:02:23 20055 kernel:        [<c0105000>] [<c0105000>] [<c0107576>] 
[<c012cbc0>]
Jan  7 04:02:23 20055 kernel:
Jan  7 04:02:23 20055 kernel: Code: ff 4b 08 0f 94 c0 84 c0 74 39 8b 43 10 85 
c0 74 19 68 d7 01
Jan  7 04:02:31 20055 kernel: kernel BUG at exit.c:465!
Jan  7 04:02:31 20055 kernel: invalid operand: 0000
Jan  7 04:02:31 20055 kernel: CPU:    0
Jan  7 04:02:31 20055 kernel: EIP:    0010:[do_exit+560/576]
Jan  7 04:02:31 20055 kernel: EIP:    0010:[<c0118cd0>]
Jan  7 04:02:31 20055 kernel: EFLAGS: 00010282
Jan  7 04:02:31 20055 kernel: eax: 0000001a   ebx: 00000000   ecx: fffffffe   
edx: 00000000
Jan  7 04:02:31 20055 kernel: esi: c1244000   edi: 0000000b   ebp: 00000048   
esp: c1245e18
Jan  7 04:02:31 20055 kernel: ds: 0018   es: 0018   ss: 0018
Jan  7 04:02:31 20055 kernel: Process kswapd (pid: 4, stackpage=c1245000)
Jan  7 04:02:31 20055 kernel: Stack: c020d3bb c020d512 000001d1 00000048 
c0109549 c0205d37 c0205e6d c013a1a5
Jan  7 04:02:31 20055 kernel:        00000002 c020ba40 c011343e 0000000b 
c1245f14 00000002 c020b9fd 00000048
Jan  7 04:02:31 20055 kernel:        c020bad5 c013a1a5 c020bac5 c020baaa 
00000048 c12b01c0 c1244000 c1244000
Jan  7 04:02:31 20055 kernel: Call Trace: [error_table+10403/44216] 
[error_table+10746/44216] [die+57/80] [stext_lock+8919/12768] 
[stext_lock+9229/12768] [bdput+5/80] [error_table+3880/44216]
Jan  7 04:02:31 20055 kernel: Call Trace: [<c020d3bb>] [<c020d512>] 
[<c0109549>] [<c0205d37>] [<c0205e6d>] [<c013a1a5>] [<c020ba40>]
Jan  7 04:02:31 20055 kernel:        [do_page_fault+830/1152] 
[error_table+3813/44216] [error_table+4029/44216] [bdput+5/80] 
[error_table+4013/44216] [error_table+3986/44216] 
[batch_entropy_process+165/176] [__run_timers+168/224]
Jan  7 04:02:31 20055 kernel:        [<c011343e>] [<c020b9fd>] [<c020bad5>] 
[<c013a1a5>] [<c020bac5>] [<c020baaa>] [<c0174735>] [<c011ccf8>]
Jan  7 04:02:31 20055 kernel:        [run_all_timers+23/32] [bh_action+28/112] 
[do_page_fault+0/1152] [error_code+52/64] [bdput+5/80] [clear_inode+267/304] 
[destroy_inode+48/64] [dispose_list+56/96]
Jan  7 04:02:31 20055 kernel:        [<c011d2c7>] [<c0119f6c>] [<c0113100>] 
[<c01090f4>] [<c013a1a5>] [<c014671b>] [<c0145f80>] [<c0146778>]


Then the system hung until we rebooted it.    Running RH7.1 on a ~865Mhz 
Pentium III.
Comment 2 Arjan van de Ven 2002-01-07 11:45:13 EST
the "bdput" one we fixed in 2.4.9-12 (released as erratum for 7.1)
Comment 3 mavrin 2002-01-07 11:53:13 EST
this bug looks like the same as # 53360

Note You need to log in before you can comment on or make changes to this bug.